# Change Log

## [Unreleased](https://github.com/rsfetch/rsfetch/tree/HEAD)

[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.9.0...HEAD)

**Closed issues:**

- rsfetch capitalization [\#47](https://github.com/rsfetch/rsfetch/issues/47)
- AUR package. [\#8](https://github.com/rsfetch/rsfetch/issues/8)

**Merged pull requests:**

- Add gentoo \(portage\) support. [\#48](https://github.com/rsfetch/rsfetch/pull/48) ([Phate6660](https://github.com/Phate6660))
- Avoid some duplication in get\_packages [\#46](https://github.com/rsfetch/rsfetch/pull/46) ([lnicola](https://github.com/lnicola))

## [1.9.0](https://github.com/rsfetch/rsfetch/tree/1.9.0) (2019-05-27)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.8.0...1.9.0)

**Implemented enhancements:**

- Reduce cognitive complexity of main function. [\#43](https://github.com/rsfetch/rsfetch/issues/43)
- Create a minimal flag. [\#42](https://github.com/rsfetch/rsfetch/issues/42)

**Merged pull requests:**

- Added a minimal flag, added support for Alpine Linux \(apk\). [\#45](https://github.com/rsfetch/rsfetch/pull/45) ([Phate6660](https://github.com/Phate6660))
- Added cargo \(Rust\) support, various tweaks suggested by Clippy. [\#44](https://github.com/rsfetch/rsfetch/pull/44) ([Phate6660](https://github.com/Phate6660))

## [1.8.0](https://github.com/rsfetch/rsfetch/tree/1.8.0) (2019-05-23)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.7.0...1.8.0)

**Merged pull requests:**

- Added support for BSD, Solus, and OpenSUSE. [\#39](https://github.com/rsfetch/rsfetch/pull/39) ([Phate6660](https://github.com/Phate6660))

## [1.7.0](https://github.com/rsfetch/rsfetch/tree/1.7.0) (2019-05-15)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.6.6...1.7.0)

**Closed issues:**

- Use a proper web request crate. [\#31](https://github.com/rsfetch/rsfetch/issues/31)
- Use `switch` instead of `bool` for args [\#26](https://github.com/rsfetch/rsfetch/issues/26)

**Merged pull requests:**

- Add Python \(pip\), Void \(xbps\), and Fedora \(dnf\) support to package counts. [\#37](https://github.com/rsfetch/rsfetch/pull/37) ([Phate6660](https://github.com/Phate6660))
- Add debian/ubuntu \(apt\) support for package count. [\#36](https://github.com/rsfetch/rsfetch/pull/36) ([Phate6660](https://github.com/Phate6660))
- Add detailed benchmarks [\#35](https://github.com/rsfetch/rsfetch/pull/35) ([kiedtl](https://github.com/kiedtl))
- Change WM to include DE too. [\#34](https://github.com/rsfetch/rsfetch/pull/34) ([Phate6660](https://github.com/Phate6660))
- Use reqwest for the IP address [\#33](https://github.com/rsfetch/rsfetch/pull/33) ([lnicola](https://github.com/lnicola))
- Add DE support [\#32](https://github.com/rsfetch/rsfetch/pull/32) ([lnicola](https://github.com/lnicola))

## [1.6.6](https://github.com/rsfetch/rsfetch/tree/1.6.6) (2019-05-12)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1...1.6.6)

**Merged pull requests:**

- Changed the way options work. [\#27](https://github.com/rsfetch/rsfetch/pull/27) ([Phate6660](https://github.com/Phate6660))

## [1](https://github.com/rsfetch/rsfetch/tree/1) (2019-05-07)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.5.0...1)

## [1.5.0](https://github.com/rsfetch/rsfetch/tree/1.5.0) (2019-05-07)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.4.0...1.5.0)

**Implemented enhancements:**

- add link to aur package from readme [\#19](https://github.com/rsfetch/rsfetch/pull/19) ([kiedtl](https://github.com/kiedtl))

**Closed issues:**

- Update description [\#24](https://github.com/rsfetch/rsfetch/issues/24)
- move this repo to organization [\#18](https://github.com/rsfetch/rsfetch/issues/18)
- Stop going the easy way. [\#13](https://github.com/rsfetch/rsfetch/issues/13)
- Use proper error handling. [\#11](https://github.com/rsfetch/rsfetch/issues/11)
- make the term script included in the main file [\#4](https://github.com/rsfetch/rsfetch/issues/4)

**Merged pull requests:**

- Improve error handling [\#25](https://github.com/rsfetch/rsfetch/pull/25) ([lnicola](https://github.com/lnicola))
- Misc cleanups [\#23](https://github.com/rsfetch/rsfetch/pull/23) ([lnicola](https://github.com/lnicola))
- Add logo && badges to readme [\#22](https://github.com/rsfetch/rsfetch/pull/22) ([kiedtl](https://github.com/kiedtl))
- Optimize uptime retrieval [\#21](https://github.com/rsfetch/rsfetch/pull/21) ([lnicola](https://github.com/lnicola))
- change fetch to rsfetch in makefile [\#17](https://github.com/rsfetch/rsfetch/pull/17) ([kiedtl](https://github.com/kiedtl))

## [1.4.0](https://github.com/rsfetch/rsfetch/tree/1.4.0) (2019-05-07)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.3.8...1.4.0)

**Closed issues:**

- Vote For Name Here [\#10](https://github.com/rsfetch/rsfetch/issues/10)

**Merged pull requests:**

- Optimize package counting [\#16](https://github.com/rsfetch/rsfetch/pull/16) ([lnicola](https://github.com/lnicola))
- Fix /etc/os-release parsing [\#15](https://github.com/rsfetch/rsfetch/pull/15) ([lnicola](https://github.com/lnicola))
- Fix shell detection [\#14](https://github.com/rsfetch/rsfetch/pull/14) ([lnicola](https://github.com/lnicola))

## [1.3.8](https://github.com/rsfetch/rsfetch/tree/1.3.8) (2019-05-06)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.3.0...1.3.8)

**Merged pull requests:**

- update makefile [\#9](https://github.com/rsfetch/rsfetch/pull/9) ([kiedtl](https://github.com/kiedtl))

## [1.3.0](https://github.com/rsfetch/rsfetch/tree/1.3.0) (2019-05-03)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.2.1...1.3.0)

## [1.2.1](https://github.com/rsfetch/rsfetch/tree/1.2.1) (2019-05-03)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.2.0...1.2.1)

## [1.2.0](https://github.com/rsfetch/rsfetch/tree/1.2.0) (2019-05-03)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.1.1...1.2.0)

## [1.1.1](https://github.com/rsfetch/rsfetch/tree/1.1.1) (2019-05-03)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.1.0...1.1.1)

**Closed issues:**

- discuss [\#2](https://github.com/rsfetch/rsfetch/issues/2)

## [1.1.0](https://github.com/rsfetch/rsfetch/tree/1.1.0) (2019-05-01)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/1.0.0...1.1.0)

**Merged pull requests:**

- Update Makefile [\#7](https://github.com/rsfetch/rsfetch/pull/7) ([kiedtl](https://github.com/kiedtl))
- Update README.md [\#6](https://github.com/rsfetch/rsfetch/pull/6) ([kiedtl](https://github.com/kiedtl))
- Major and minor improvements [\#5](https://github.com/rsfetch/rsfetch/pull/5) ([kiedtl](https://github.com/kiedtl))

## [1.0.0](https://github.com/rsfetch/rsfetch/tree/1.0.0) (2019-04-30)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/0.9.8...1.0.0)

**Merged pull requests:**

- Make title/logo bold [\#3](https://github.com/rsfetch/rsfetch/pull/3) ([kiedtl](https://github.com/kiedtl))

## [0.9.8](https://github.com/rsfetch/rsfetch/tree/0.9.8) (2019-04-30)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/0.9.7...0.9.8)

## [0.9.7](https://github.com/rsfetch/rsfetch/tree/0.9.7) (2019-04-30)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/0.9.5...0.9.7)

**Closed issues:**

- How to install? [\#1](https://github.com/rsfetch/rsfetch/issues/1)

## [0.9.5](https://github.com/rsfetch/rsfetch/tree/0.9.5) (2019-04-29)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/0.9.3...0.9.5)

## [0.9.3](https://github.com/rsfetch/rsfetch/tree/0.9.3) (2019-04-29)
[Full Changelog](https://github.com/rsfetch/rsfetch/compare/0.9.1...0.9.3)

## [0.9.1](https://github.com/rsfetch/rsfetch/tree/0.9.1) (2019-04-28)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
